For the complete documentation index, see llms.txt. This page is also available as Markdown.

Downtime Catalogs

⚠️ Experimental — this resource is under active development and may change without notice.

Experimental

Get Downtime Catalogs

get

Returns a list of downtime catalogs in your organization.

Authorizations
AuthorizationstringRequired
Query parameters
cursorstringOptional
uuidstring · uuid[] · max: 50 · nullableOptional

If not set, all downtime catalogs will be considered.

machinestring · uuid[] · max: 50 · nullableOptional

Only return catalogs assigned to any of the given machines. If not set, catalogs for all machines (including unassigned catalogs) will be considered.

unassignedboolean · nullableOptional

If true, only return catalogs that are not assigned to any machine. If not set, return catalogs irrespective if they're assigned to a machine or not.

statestring · enum · nullableOptional

If not set, both active and archived catalogs will be returned.

Possible values:
Responses
200

Successful Response

application/json
get/v2/downtime-catalogs
Experimental

Create Downtime Catalog

post

Create a downtime catalog.

Authorizations
AuthorizationstringRequired
Body
namestring · min: 1Required
descriptionstring · nullableOptional

Free-text description of the downtime catalog.

Responses
201

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime catalog.

namestringRequired

Name of the downtime catalog.

descriptionstring · nullableOptional

Free-text description of the downtime catalog.

statestring · enumRequired

Lifecycle state of the downtime catalog.

Possible values:
post/v2/downtime-catalogs
Experimental

Get Downtime Catalog

get

Returns details for a specific downtime catalog.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime catalog.

namestringRequired

Name of the downtime catalog.

descriptionstring · nullableOptional

Free-text description of the downtime catalog.

statestring · enumRequired

Lifecycle state of the downtime catalog.

Possible values:
get/v2/downtime-catalogs/{uuid}
Experimental

Update Downtime Catalog

patch

Update a downtime catalog's name or description.

Authorizations
AuthorizationstringRequired
Path parameters
uuidstring · uuidRequired
Body
namestring · min: 1Optional
descriptionstring · nullableOptional
Responses
200

Successful Response

application/json
uuidstring · uuidRequired

The UUID of the downtime catalog.

namestringRequired

Name of the downtime catalog.

descriptionstring · nullableOptional

Free-text description of the downtime catalog.

statestring · enumRequired

Lifecycle state of the downtime catalog.

Possible values:
patch/v2/downtime-catalogs/{uuid}

Last updated